%define _unpackaged_files_terminate_build 1

Name: gibak
Version: 0.3.1
Release: alt1.git20080819

Summary: A fast, powerful backup system built upon Git
License: GPL2
Group: Archiving/Backup
Url: http://eigenclass.org/hiki/gibak-0.3.0/
Source: %name-%version.tar
Source1: README.QUICK.ALT
BuildRequires: omake ocaml rpm-build-ocaml

%description
gibak is a backup tool based on git. Since gibak builds upon the 
infrastructure offered by Git, it shares its main strengths:
 - speed: recovering your data is faster that cp -a...
 - full revision history
 - space-efficient data store, with file compression and textual/binary deltas
 - efficient transport protocol to replicate the backup (faster than rsync)

gibak uses Git's hook system to save and restore the information Git doesn't 
track itself such as permissions, empty directories and optionally extended 
attributes and mtime fields.

%description -l ru_RU.UTF-8
gibak - средство бэкапа на основе Git. Применение Git позволило достичь:
 - скорость: восстановление данных быстрее, чем выполнение cp -a
 - хранится полностью вся история изменения данных
 - эффективное хранилище данных со сжатием файлов и дельтами для бинарных данных

gibak использует систему хуков (hooks) в Git, чтобы хранить информацию, обычно
не отслеживаемую Git'ом, такую как права на файлы, пустые каталоги и опционально
расширенные аттрибуты и дата модификации.

%prep
%setup
sed -ie 's!#INCLUDES!INCLUDES +=/usr/lib/ocaml\n#!' OMakefile

%build
omake

%install
mkdir %buildroot%_bindir -p
install -D -m 0755 find-git-repos %buildroot%_bindir/
install -D -m 0755 find-git-repos.opt %buildroot%_bindir/
install -D -m 0755 find-git-files %buildroot%_bindir/
install -D -m 0755 find-git-files.opt %buildroot%_bindir/
install -D -m 0755 gibak %buildroot%_bindir/
install -D -m 0755 ometastore %buildroot%_bindir/
install -D -m 0755 ometastore.opt %buildroot%_bindir/
cp %SOURCE1 .

%files
%_bindir/*
%doc README.* LICENSE

%changelog
* Thu Sep 18 2008 Maxim Ivanov <redbaron at altlinux.org> 0.3.1-alt1.git20080819
- Initial build for Sisyphus 

